> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Post authregister



## OpenAPI

````yaml /openapi.json post /auth/register
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /auth/register:
    post:
      tags:
        - Auth
      operationId: post-auth-register
      requestBody:
        content:
          application/json; charset=utf-8:
            schema:
              $ref: '#/components/schemas/RegisterRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/AuthResponse'
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    RegisterRequest:
      type: object
      title: RegisterRequest
      required:
        - email
        - password
      properties:
        email:
          type: string
        password:
          type: string
    AuthResponse:
      type: object
      title: AuthResponse
      required:
        - success
        - token
        - user
      properties:
        success:
          type: boolean
        token:
          type: string
        refresh_token:
          type: string
        user:
          $ref: '#/components/schemas/UserInfo'
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    UserInfo:
      type: object
      title: UserInfo
      required:
        - id
        - email
        - is_guest
        - role
        - created_at
      properties:
        id:
          type: string
        email:
          type: string
        name:
          type: string
        is_guest:
          type: boolean
        role:
          $ref: '#/components/schemas/UserRoleResponse'
        created_at:
          type: string
    UserRoleResponse:
      type: string
      enum:
        - participant
        - moderator
        - admin

````